---
title: List
url: https://www.tines.com/docs/api/cases/actions/list-1-0/
updated: 2024-08-02T14:32:37+00:00
description: Retrieve a list of case buttons for a specific case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Actions](https://www.tines.com/llm/docs/api/cases/actions.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/cases/actions/list-1-0/)*

| ⚠️ Note                                                                     |
| --------------------------------------------------------------------------- |
| This API endpoint has been deprecated, please update to the latest version. |

## Description

Retrieve a list of case buttons for a specific case.

## Request

HTTP Method: **GET**

| Path Parameter | Description     |
| -------------- | --------------- |
| case_id        | ID of the case. |

### Sample request

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/cases/<<case_id>>/buttons \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON Array containing the case buttons on the specified case provided the requesting token has access to it.

### Field description

| Parameter   | Description                                                                          |
| ----------- | ------------------------------------------------------------------------------------ |
| case_id     | The case ID.                                                                         |
| id          | The case button ID.                                                                  |
| url         | The URL of the case button.                                                          |
| label       | The label of the case button.                                                        |
| button_type | The case button type (`webhook` or `page`).                                          |
| story_name  | Will be populated if the URL matches that of a page or webhook in an existing story. |
| story_emoji | The associated story's emoji icon.                                                   |
| page_emoji  | The associated page's emoji icon.                                                    |
| created_at  | ISO 8601 Timestamp representing creation date and time of the case button.           |
| updated_at  | ISO 8601 Timestamp representing last updated date and time of case button.           |

### Sample response

```json
"case_id": 1,
"team_case_buttons": [
  {
    "id": 1,
    "url": "https://tenant.tines.com/webhook/abc/",
    "label": "Claim case",
    "story_name": "Case Management",
    "story_emoji": ":fire:",
    "page_emoji": null,
    "button_type": "webhook",
    "created_at": "2023-10-31T15:42:00Z",
    "updated_at": "2023-10-31T16:42:00Z"
  },
  {
    "id": 2,
    "url": "https://tenant.tines.com/webhook/abc/",
    "label": "Escalate",
    "story_name": "Case Management",
    "story_emoji": ":rocket:",
    "page_emoji": null,
    "button_type": "webhook",
    "created_at": "2023-10-31T17:42:00Z",
    "updated_at": "2023-10-31T18:42:00Z"
  }
]
```
